### Method

# AppStream Component set_id

#### Declaration [src]

    void
    as_component_set_id (
      AsComponent* cpt,
      const gchar* value
    )

#### Description [src]

Set the AppStream identifier for this component.

Sets property | `AppStream.Component:id`

#### Parameters

`value`

  Type: `const gchar*`

  The unique identifier.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.